clang 10.0.0git

Public Member Functions | Friends | List of all members
clang::LookupResult::Filter Class Reference

A class for iterating through a result set and possibly filtering out results. More...

`#include "clang/Sema/Lookup.h"`

## Public Member Functions
| Filter (Filter &&F)
| ~Filter ()
bool | hasNext () const
NamedDecl * | next ()
void | restart ()
| Restart the iteration. More...
void | erase ()
| Erase the last element returned from this iterator. More...
void | replace (NamedDecl *D)
| Replaces the current entry with the given one, preserving the access bits. More...
void | replace (NamedDecl *D, AccessSpecifier AS)
| Replaces the current entry with the given one. More...
void | done ()

## Friends
class | LookupResult

## Detailed Description

A class for iterating through a result set and possibly filtering out results.

The results returned are possibly sugared.

Definition at line 617 of file Lookup.h.

## Constructor & Destructor Documentation

## ◆ Filter()

clang::LookupResult::Filter::Filter | ( | Filter && | F | ) |
| inline

Definition at line 628 of file Lookup.h.

## ◆ ~Filter()

clang::LookupResult::Filter::~Filter | ( |  | ) |
| inline

Definition at line 634 of file Lookup.h.

## Member Function Documentation

## ◆ done()

void clang::LookupResult::Filter::done | ( |  | ) |
| inline

Definition at line 672 of file Lookup.h.

References clang::LookupResult::resolveKindAfterFilter().

Referenced by clang::Sema::CheckDependentFunctionTemplateSpecialization(), clang::Sema::FilterAcceptableTemplateNames(), and RemoveUsingDecls().

## ◆ erase()

void clang::LookupResult::Filter::erase | ( |  | ) |
| inline

Erase the last element returned from this iterator.

Definition at line 654 of file Lookup.h.

References clang::UnresolvedSetImpl::erase().

Referenced by clang::Sema::CheckDependentFunctionTemplateSpecialization(), clang::Sema::FilterAcceptableTemplateNames(), and RemoveUsingDecls().

## ◆ hasNext()

bool clang::LookupResult::Filter::hasNext | ( |  | ) | const
| inline

Definition at line 639 of file Lookup.h.

References clang::LookupResult::end().

Referenced by clang::Sema::CheckDependentFunctionTemplateSpecialization(), clang::Sema::FilterAcceptableTemplateNames(), and RemoveUsingDecls().

## ◆ next()

NamedDecl* clang::LookupResult::Filter::next | ( |  | ) |
| inline

Definition at line 643 of file Lookup.h.

References clang::LookupResult::end().

Referenced by clang::Sema::CheckDependentFunctionTemplateSpecialization(), clang::Sema::FilterAcceptableTemplateNames(), and RemoveUsingDecls().

## ◆ replace() [1/2]

void clang::LookupResult::Filter::replace | ( | NamedDecl * | D | ) |
| inline

Replaces the current entry with the given one, preserving the access bits.

Definition at line 661 of file Lookup.h.

References clang::UnresolvedSetImpl::replace().

## ◆ replace() [2/2]

void clang::LookupResult::Filter::replace | ( | NamedDecl * | D,
|  | AccessSpecifier | AS
| ) |  |
| inline

Replaces the current entry with the given one.

Definition at line 667 of file Lookup.h.

References clang::UnresolvedSetImpl::replace().

## ◆ restart()

void clang::LookupResult::Filter::restart | ( |  | ) |
| inline

Restart the iteration.

Definition at line 649 of file Lookup.h.

References clang::LookupResult::begin().

## Friends And Related Function Documentation

## ◆ LookupResult

friend class LookupResult
| friend

Definition at line 618 of file Lookup.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/Lookup.h